(TeX-add-style-hook
 "autopdf"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "paperwidth=\\the\\autopdf@width" "paperheight=\\the\\autopdf@height" "margin=\\the\\autopdf@margin" "offset=0pt" "bindingoffset=0pt" "noheadfoot" "nomarginpar")))
   (TeX-run-style-hooks
    "latex2e"
    "keyval"
    "ifthen"
    "ifpdf"
    "ifplatform"
    "graphicx"
    "psfrag"
    "minimal"
    "minimal10"
    "geometry")
   (TeX-add-symbols
    "autopdfoptions"
    "AND"
    "OR"
    "REDIRTO"
    "LEFT"
    "RIGHT"
    "DELETE"
    "SILENT"
    "autopdfinclude"
    "autopdfpsfrag"
    "autopdfpsfoptions"
    "noexpand"
    "to"
    "string")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-lengths))
 :latex)

