(TeX-add-style-hook
 "beamer"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("ucs" "hyperref") ("inputenc" "utf8x" "utf8") ("geometry" "papersize={\\beamer@paperwidth,\\beamer@paperheight}" "hmargin=1cm" "vmargin=0cm" "head=0.5cm" "headsep=0pt" "foot=0.5cm") ("hyperref" "implicit=false")))
   (add-to-list 'LaTeX-verbatim-environments-local "semiverbatim")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "href")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperref")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperimage")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperbaseurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "nolinkurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (TeX-run-style-hooks
    "leqno"
    "fleqn"
    "beamerbasemodes"
    "ifpdf"
    "beamerbaseoptions"
    "ucs"
    "inputenc"
    "geometry"
    "pgfcore"
    "xxcolor"
    "atbegshi"
    "hyperref"
    "beamerbaserequires")
   (TeX-add-symbols
    "headdp"
    "footheight"
    "sidebarheight"
    "insertpagenumber"
    "familydefault"
    "mathfamilydefault")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths))
 :latex)

