(TeX-add-style-hook
 "beamerthemeNPBT"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("fontenc" "T1") ("mathpazo" "osf" "sc") ("eulervm" "small" "OT1" "")))
   (TeX-run-style-hooks
    "ifthen"
    "multicol"
    "xltxtra"
    "lmodern"
    "fontenc"
    "textcomp"
    "mathpazo"
    "eulervm"
    "eurosym"
    "ragged2e"
    "tikz"
    "pgfplots"
    "xspace"
    "array"
    "xstring")
   (TeX-add-symbols
    '("setScreenRatio" 1)
    '("rfrac" 2)
    "officialeuro"
    "updateNPBTimages"
    "logoline"
    "putLogo"
    "setLogo"
    "setNPBTminimal"
    "setNPBTnormal"
    "softness"
    "footlinesize"
    "imagepath"
    "npbtBackground"
    "npbtLine"
    "npbtLogo"
    "npbtFrameTitleBackgound"
    "backgroundimage"
    "lineimage"
    "logoimage"
    "titlebackgroundimage"
    "logowidth"
    "logoheight"
    "logoxshift"
    "logoyshift"
    "titleboxwidth"
    "sectiontitleboxwidth"
    "sectionpagewidth"
    "sectionpageheight"
    "subsectionpagewidth"
    "subsectionpageheight"
    "myleftskip"
    "myrightskip"
    "mysepsize"
    "myftboxscale"
    "breakhere")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "myPaperWidth"
    "myPaperHeight"
    "myftboxwidth"
    "myftboxmaxwidth")
   (LaTeX-add-saveboxes
    "myftbox"))
 :latex)

