(TeX-add-style-hook
 "bitbook"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("ctexbook" "UTF8" "AutoFakeBold" "AutoFakeSlant" "zihao=-4" "oneside" "openany")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "a4paper" "left=3cm" "right=2.6cm" "top=3.5cm" "bottom=2.9cm") ("biblatex" "backend=biber" "style=gb7714-2015" "gbalign=gb7714-2015" "gbnamefmt=lowercase" "gbpub=false" "doi=false" "url=false" "eprint=false" "isbn=false" "")))
   (TeX-run-style-hooks
    "latex2e"
    "ctexbook"
    "ctexbook10"
    "geometry"
    "xeCJK"
    "titletoc"
    "setspace"
    "graphicx"
    "fancyhdr"
    "pdfpages"
    "booktabs"
    "multirow"
    "tikz"
    "etoolbox"
    "hyperref"
    "xcolor"
    "caption"
    "array"
    "amsmath"
    "amssymb"
    "biblatex")
   (TeX-add-symbols
    '("unnumchapter" 1)
    "xihei")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-bibliographies
    "./misc/ref"))
 :latex)

