(TeX-add-style-hook
 "bookcover"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("fgruler" "nonefgrulers")))
   (TeX-run-style-hooks
    "latex2e"
    "kvoptions"
    "article"
    "art10"
    "lthooks"
    "picture"
    "geometry"
    "graphicx"
    "calc"
    "tikz"
    "xparse"
    "etoolbox"
    "fgruler")
   (TeX-add-symbols
    "partheight"
    "partwidth"
    "setpartposx"
    "setpartposy"
    "setpartwidth"
    "setpartheight"
    "settrimmedpart"
    "setbookcover"
    "bookcoverdescgeometry"
    "newbookcoverpart"
    "renewbookcoverpart"
    "newnamebookcoverpart"
    "newbookcovercomponenttype"
    "renewbookcovercomponenttype"
    "newnamebookcovercomponenttype"
    "letnamebookcovercomponenttype"
    "makebookcover")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    "bookcoverdescription")
   (LaTeX-add-pagestyles
    "plain")
   (LaTeX-add-lengths
    "coverwidth"
    "coverheight"
    "spinewidth"
    "flapwidth"
    "wrapwidth"
    "marklength"
    "markthick"
    "bleedwidth"))
 :latex)

