(TeX-add-style-hook
 "colorist"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("titlesec" "explicit" "newparttoc") ("tcolorbox" "many")))
   (TeX-run-style-hooks
    "etoolbox"
    "kvoptions"
    "anyfontsize"
    "xcolor"
    "geometry"
    "fancyhdr"
    "extramarks"
    "setspace"
    "titlesec"
    "ulem"
    "titletoc"
    "enumitem"
    "tikz"
    "mathtools"
    "amsthm"
    "bookmark"
    "hyperref"
    "aliascnt"
    "cleveref"
    "xstring"
    "marginnote"
    "iftex"
    "tcolorbox"
    "polyglossia"
    "babel")
   (TeX-add-symbols
    '("questionmark" ["argument"] 1)
    '("ideabulb" ["argument"] 1)
    '("UseOtherLanguage" 2)
    '("UseLanguage" 1)
    '("UseLanguageCORE" 1)
    '("mparadjust" 1)
    '("PassFirstToSecond" 2)
    '("parttext" 1)
    "partfont"
    "chapfont"
    "secfont"
    "subsecfont"
    "subsubsecfont"
    "blinkpagetext"
    "englishABBR"
    "frenchABBR"
    "chineseABBR"
    "theoremnameEN"
    "lemmanameEN"
    "propositionnameEN"
    "corollarynameEN"
    "factnameEN"
    "conjecturenameEN"
    "definitionnameEN"
    "examplenameEN"
    "problemnameEN"
    "remarknameEN"
    "theoremnameFR"
    "lemmanameFR"
    "propositionnameFR"
    "corollarynameFR"
    "factnameFR"
    "conjecturenameFR"
    "definitionnameFR"
    "examplenameFR"
    "problemnameFR"
    "remarknameFR"
    "theoremnameCN"
    "lemmanameCN"
    "propositionnameCN"
    "corollarynameCN"
    "factnameCN"
    "conjecturenameCN"
    "definitionnameCN"
    "examplenameCN"
    "problemnameCN"
    "remarknameCN"
    "proofnameCN"
    "proofnameEN"
    "proofnameFR"
    "scandefinitionenv"
    "abstractname"
    "proofname"
    "contentsname"
    "listfigurename"
    "listtablename"
    "figurename"
    "tablename"
    "indexname"
    "appendixname"
    "bibname"
    "frenchpartname")
   (LaTeX-add-environments
    "proof"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)))
 :latex)

