(TeX-add-style-hook
 "dmlb"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("xcolor" "table") ("hyperref" "unicode=true" "bookmarks=true" "bookmarksopen=false" "pdftoolbar=true" "pdfmenubar=true" "pdffitwindow=false" "pdfstartview={FitH}" "pdftitle={Diabetes Logbook}" "pdfauthor={}" "pdfnewwindow=true" "colorlinks=true" "linkcolor=magenta" "citecolor=green" "filecolor=magenta" "urlcolor=cyan" "linkbordercolor=cyan" "") ("babel" "english") ("ellipsis" "xspace")))
   (TeX-run-style-hooks
    "xcolor"
    "hyperref"
    "bookmark"
    "babel"
    "polyglossia"
    "fontspec"
    "ellipsis"
    "pgf"
    "pgfplots"
    "pgfplotstable"
    ""
    "pgfcalendar")
   (TeX-add-symbols
    '("rowstyle" 1)
    '("TwoDigits" 1)
    '("autoFileInput" 1)
    "row"
    "Year"
    "Month"
    "Day"
    "tmpa"
    "tmpb"
    "monthn"
    "changestrut"
    "calcmaxrows"
    "writeperiods"
    "fixme")
   (LaTeX-add-labels
    "#1")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)))
 :latex)

