(TeX-add-style-hook
 "elegantbook"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("book" "a4paper" "oneside")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("mtpro2" "lite") ("ctex" "UTF8" "scheme=plain" "fontset=none") ("natbib" "\\ELEGANT@cite" "sort&compress") ("enumitem" "shortlabels" "inline") ("caption" "font=small" "labelfont={bf,color=structurecolor}") ("footmisc" "flushmargin" "stable") ("babel" "italian") ("titlesec" "center" "pagestyles") ("appendix" "toc" "page" "title" "titletoc") ("tcolorbox" "many")))
   (TeX-run-style-hooks
    "latex2e"
    "kvoptions"
    "etoolbox"
    "book"
    "bk10"
    "setspace"
    "hyperref"
    "geometry"
    "indentfirst"
    "comment"
    "mtpro2"
    "iftex"
    "ctex"
    "newtxtext"
    "anyfontsize"
    "newtxmath"
    "esint"
    "xcolor"
    "mwe"
    "natbib"
    "enumerate"
    "enumitem"
    "caption"
    "footmisc"
    "graphicx"
    "amsmath"
    "mathrsfs"
    "amsfonts"
    "amssymb"
    "booktabs"
    "multicol"
    "multirow"
    "fancyvrb"
    "makecell"
    "lipsum"
    "hologo"
    "gbt7714"
    "babel"
    "xpatch"
    "tikz"
    "titlesec"
    "apptools"
    "appendix"
    "pifont"
    "manfnt"
    "bbding"
    "tcolorbox"
    "amsthm"
    "adforn"
    "fancyhdr"
    "listings"
    "bm")
   (TeX-add-symbols
    '("datechange" 2)
    '("dateinfoline" 2)
    '("circled" 1)
    '("bioinfo" 2)
    '("tabref" 1)
    '("figref" 1)
    '("question" 1)
    '("cover" 1)
    '("logo" 1)
    '("extrainfo" 1)
    '("version" 1)
    '("institute" 1)
    '("subtitle" 1)
    '("email" 1)
    '("mailto" 1)
    '("ekv" 1)
    "songti"
    "heiti"
    "kaishu"
    "fangsong"
    "citshape"
    "cnormal"
    "cfs"
    "authorname"
    "institutename"
    "datename"
    "versionname"
    "notename"
    "problemname"
    "definitionname"
    "theoremname"
    "axiomname"
    "postulatename"
    "lemmaname"
    "propositionname"
    "corollaryname"
    "examplename"
    "exercisename"
    "remarkname"
    "assumptionname"
    "conclusionname"
    "solutionname"
    "propertyname"
    "introductionname"
    "problemsetname"
    "updatename"
    "historyname"
    "proofname"
    "eitemi"
    "eitemii"
    "eitemiii"
    "bmmax"
    "listofchanges"
    "Bbbk"
    "sumop"
    "prodop"
    "style"
    "bibfont"
    "openbox")
   (LaTeX-add-labels
    "def:#2"
    "thm:#2"
    "lem:#2"
    "cor:#2"
    "pos:#2"
    "axi:#2"
    "pro:#2")
   (LaTeX-add-environments
    "relsec"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("custom" 1)
    '("proposition" 2)
    '("axiom" 2)
    '("postulate" 2)
    '("corollary" 2)
    '("lemma" 2)
    '("theorem" 2)
    '("definition" 2)
    "edefinition"
    "etheorem"
    "elemma"
    "ecorollary"
    "epostulate"
    "eaxiom"
    "eproposition"
    "note"
    "proof"
    "solution"
    "remark"
    "assumption"
    "conclusion"
    "property"
    "change")
   (LaTeX-add-counters
    "exam"
    "exer"
    "prob"))
 :latex)

