(TeX-add-style-hook
 "lwarp-siunitx"
 (lambda ()
   (TeX-run-style-hooks
    "xcolor")
   (TeX-add-symbols
    '("tablenum" ["argument"] 1)
    '("SIrange" ["argument"] 3)
    '("SIlist" ["argument"] 2)
    '("numrange" ["argument"] 2)
    '("numlist" ["argument"] 1)
    '("SI" ["argument"] 1)
    '("si" ["argument"] 1)
    '("num" ["argument"] 1)
    '("ang" ["argument"] 1)
    '("cubic" 1)
    '("square" 1)
    '("of" 1)
    '("LWRsiunitxSI" 2)
    '("LWRsiunitxprintdecimal" 1)
    '("LWRsiunitxnumscientific" 2)
    '("raiseto" 2)
    '("tothe" 1)
    "LWRsiunitxEND"
    "ampere"
    "candela"
    "kelvin"
    "kilogram"
    "metre"
    "mole"
    "second"
    "becquerel"
    "degreeCelsius"
    "coulomb"
    "farad"
    "gray"
    "hertz"
    "henry"
    "joule"
    "katal"
    "lumen"
    "lux"
    "newton"
    "ohm"
    "pascal"
    "radian"
    "siemens"
    "sievert"
    "steradian"
    "tesla"
    "volt"
    "watt"
    "weber"
    "day"
    "degree"
    "hectare"
    "hour"
    "litre"
    "liter"
    "arcminute"
    "minute"
    "arcsecond"
    "tonne"
    "astronomicalunit"
    "atomicmassunit"
    "bohr"
    "clight"
    "dalton"
    "electronmass"
    "electronvolt"
    "elementarycharge"
    "hartree"
    "planckbar"
    "angstrom"
    "bar"
    "barn"
    "bel"
    "decibel"
    "knot"
    "mmHg"
    "nauticalmile"
    "neper"
    "yocto"
    "zepto"
    "atto"
    "femto"
    "pico"
    "nano"
    "micro"
    "milli"
    "centi"
    "deci"
    "deca"
    "hecto"
    "kilo"
    "mega"
    "giga"
    "tera"
    "peta"
    "exa"
    "zetta"
    "yotta"
    "percent"
    "meter"
    "gram"
    "kg"
    "squared"
    "cubed"
    "per"
    "celsius"
    "fg"
    "pg"
    "ng"
    "ug"
    "mg"
    "g"
    "amu"
    "pm"
    "nm"
    "um"
    "mm"
    "cm"
    "dm"
    "m"
    "km"
    "as"
    "fs"
    "ps"
    "ns"
    "us"
    "ms"
    "s"
    "fmol"
    "pmol"
    "nmol"
    "umol"
    "mmol"
    "mol"
    "kmol"
    "pA"
    "nA"
    "uA"
    "mA"
    "A"
    "kA"
    "ul"
    "ml"
    "l"
    "hl"
    "uL"
    "mL"
    "L"
    "hL"
    "mHz"
    "Hz"
    "kHz"
    "MHz"
    "GHz"
    "THz"
    "mN"
    "N"
    "kN"
    "MN"
    "Pa"
    "kPa"
    "MPa"
    "GPa"
    "mohm"
    "kohm"
    "Mohm"
    "pV"
    "nV"
    "uV"
    "mV"
    "V"
    "kV"
    "W"
    "uW"
    "mW"
    "kW"
    "MW"
    "GW"
    "J"
    "uJ"
    "mJ"
    "kJ"
    "eV"
    "meV"
    "keV"
    "MeV"
    "GeV"
    "TeV"
    "kWh"
    "F"
    "fF"
    "pF"
    "K"
    "dB"
    "kibi"
    "mebi"
    "gibi"
    "tebi"
    "pebi"
    "exbi"
    "zebi"
    "yobi"
    "LWRsiunitxang"
    "LWRsiunitxprintdecimalsub"
    "LWRsiunitxnumplus"
    "LWRsiunitxnumminus"
    "LWRsiunitxnumpm"
    "LWRsiunitxnumx"
    "LWRsiunitxnumD"
    "LWRsiunitxnumd"
    "LWRsiunitxnumE"
    "LWRsiunitxnume"
    "LWRsiunitxnumcomma"
    "LWRsiunitxSIopt"
    "LWRorigbar")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("fullwidth" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("Vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("Bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("psmallmatrix" LaTeX-env-args ["argument"] 0)
    '("strip" LaTeX-env-args ["argument"] 0)
    '("system" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("VNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("vNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("BNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("bNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("pNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("NiceMatrix" LaTeX-env-args ["argument"] 0)
    '("NiceArray" LaTeX-env-args ["argument"] 1)
    '("Parallel" LaTeX-env-args ["argument"] 2)
    '("parcolumns" LaTeX-env-args ["argument"] 1)
    '("pdfsidelinecomment" LaTeX-env-args ["argument"] 1)))
 :latex)

