(TeX-add-style-hook
 "lwarp"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("fontenc" "T1") ("inputenc" "utf8") ("fontspec" "no-math") ("geometry" "reset" "paperwidth=\\paperwidth" "paperheight=\\paperheight" "textwidth=\\textwidth" "textheight=\\textheight" "left=\\oddsidemargin" "top=\\topmargin" "marginparsep=\\marginparsep" "marginparwidth=\\marginparwidth" "")))
   (TeX-run-style-hooks
    "iftex"
    "ifpdf"
    "ifptex"
    "etoolbox"
    "xpatch"
    "ifplatform"
    "letltxmacro"
    "pdftexcmds"
    "fontenc"
    "inputenc"
    "newunicodechar"
    "lmodern"
    "upquote"
    "kpfonts"
    "kpfonts-otf"
    "kvoptions"
    "comment"
    "fontspec"
    "geometry"
    "xparse"
    "calc"
    "expl3"
    "gettitlestring"
    "everyhook"
    "filecontents"
    "xifthen"
    "verbatim"
    "refcount"
    "newfloat"
    "xstring"
    "environ"
    "printlen"
    "varwidth"
    "capt-of"
    "cleveref"
    "lwarp-everyshi"
    "lwarp-textcomp"
    "lwarp-amsthm"
    "lwarp-amsmath"
    "lwarp-centernot"
    "lwarp-patch-komascript"
    "lwarp-patch-memoir")
   (TeX-add-symbols
    '("captionlistentry" ["argument"] 1)
    '("addlinespace" ["argument"] 0)
    '("bottomrule" ["argument"] 0)
    '("midrule" ["argument"] 0)
    '("toprule" ["argument"] 0)
    '("multirow" ["argument"] 1)
    '("doublerulesepcolornexttoken" ["argument"] 1)
    '("doublerulesepcolor" ["argument"] 1)
    '("arrayrulecolornexttoken" ["argument"] 1)
    '("arrayrulecolor" ["argument"] 1)
    '("LWRabsorbtwooptions" ["argument"] 0)
    '("LWRabsorboption" ["argument"] 0)
    '("framebox" ["argument"] 0)
    '("LWRframebox" ["argument"] 1)
    '("footnotemark" ["argument"] 0)
    '("footnote" ["argument"] 1)
    '("marginparBlock" ["argument"] 1)
    '("ThisAltText" 1)
    '("FilenameNullify" 1)
    '("hyperindexref" 1)
    '("hypertocfloat" 5)
    '("LWRsetnextfloat" 2)
    '("specialrule" 3)
    '("attribution" 1)
    '("subtitle" 1)
    '("published" 1)
    '("HTMLLanguage" 1)
    '("luatexdirectlua" 1)
    '("directlua" 1)
    '("cline" 1)
    '("noalign" 1)
    '("number" 1)
    '("arabic" 1)
    '("addtocounter" 2)
    '("setcounter" 2)
    '("addtolength" 2)
    '("setlength" 2)
    '("ensuremath" 1)
    '("mathnormal" 1)
    '("CustomizeMathJax" 1)
    '("HTMLDescription" 1)
    '("HTMLAuthor" 1)
    '("HTMLTitle" 1)
    '("MathJaxFilename" 1)
    '("CSSFilename" 1)
    '("HTMLPageBottom" 1)
    '("HTMLPageTop" 1)
    '("HTMLFirstPageBottom" 1)
    '("HTMLFirstPageTop" 1)
    '("BlockClassSingle" 2)
    '("SetHTMLFileNumber" 1)
    '("HTMLunicode" 1)
    '("HTMLentity" 1)
    '("warpHTMLonly" 1)
    '("warpprintonly" 1)
    '("lwarpsetup" 1)
    '("LWRtexttitlecase" 1)
    '("macrotocsname" 1)
    '("defaddtocounter" 2)
    "LWR"
    "OSPathSymbol"
    "BaseJobname"
    "HomeHTMLFilename"
    "tracinglwarp"
    "StartDefiningTabulars"
    "StopDefiningTabulars"
    "StartDefiningMath"
    "StopDefiningMath"
    "inlinemathother"
    "inlinemathnormal"
    "HTMLFilename"
    "linkhomename"
    "LinkHome"
    "linkpreviousname"
    "linknextname"
    "LinkPrevious"
    "LinkNext"
    "LWRPrintStack"
    "Declare"
    "thetitle"
    "theHTMLTitle"
    "theauthor"
    "theHTMLAuthor"
    "FilenameLimit"
    "footnotename"
    "protect"
    "ForceHTMLPage"
    "ForceHTMLTOC"
    "simplechapterdelim"
    "prebookname"
    "postbookname"
    "prepartname"
    "postpartname"
    "prechaptername"
    "postchaptername"
    "presectionname"
    "part"
    "chapter"
    "theHTMLTitleSeparator"
    "HTMLTitleBeforeSection"
    "HTMLTitleAfterSection"
    "theHTMLSection"
    "printthanks"
    "printtitle"
    "printauthor"
    "printdate"
    "AddSubtitlePublished"
    "printpublished"
    "printsubtitle"
    "abstractname"
    "expandcolspec"
    "rownum"
    "rowcolor"
    "LTcaptype"
    "multicolumnrow"
    "ldelim"
    "rdelim"
    "TabularMacro"
    "ResumeTabular"
    "mrowcell"
    "mcolrowcell"
    "cmidrule"
    "morecmidrules"
    "pagerefPageFor"
    "CaptionSeparator"
    "caption"
    "sidetocname"
    "IndexPageSeparator"
    "IndexRangeSeparator"
    "glo"
    "AltTextOpen"
    "AltTextClose"
    "ImageAltText"
    "MathImageAltText"
    "PackageDiagramAltText"
    "theMathJaxsubequations"
    "theMathJaxsection"
    "theMathJaxequation"
    "displaymathnormal"
    "displaymathother"
    "LateximageFontSizeName"
    "LateximageFontScale"
    "overpicfontsize"
    "overpicfontskip"
    "minipagefullwidth"
    "UseMinipageWidths"
    "IgnoreMinipageWidths"
    "noexpand"
    "LWRpercent"
    "LWRdollar"
    "LWRamp"
    "LWRleftbrace"
    "LWRrightbrace"
    "LWRhash"
    "LWRopquote"
    "LWRopseq"
    "CommentCutFile"
    "ProcessCutFile"
    "ThisComment"
    "everypar"
    "chardef"
    "thempfootnote"
    "tmpb"
    "LWRfootnote"
    "LWRorighspace"
    "LWRabsorbnumber"
    "LWRabsorbquotenumber"
    "mathchar"
    "mathcode"
    "delcode"
    "delimiter"
    "postsectionname"
    "presubsectionname"
    "postsubsectionname"
    "presubsubsectionname"
    "postsubsubsectionname"
    "preparagraphname"
    "postparagraphname"
    "presubparagraphname"
    "postsubparagraphname"
    "theHTMLTitleSection"
    "thanks"
    "maketitle"
    "title"
    "author"
    "date"
    "and"
    "makelabel"
    "nexttoken"
    "firsthline"
    "lasthline"
    "LWRref"
    "item"
    "subitem"
    "subsubitem"
    "nohyperpage"
    "hyperindexformat"
    "hss"
    "llap"
    "rlap"
    "hfilneg"
    "thinspace"
    "negthinspace"
    "vdots"
    "sp"
    "sb"
    "enskip"
    "quad"
    "qquad"
    "newline"
    "textasciicircum"
    "textasciitilde"
    "textasteriskcentered"
    "textbackslash"
    "textbar"
    "textbardbl"
    "textbigcircle"
    "textbraceleft"
    "textbraceright"
    "textbullet"
    "textcopyright"
    "textdagger"
    "textdaggerdbl"
    "textdollar"
    "textellipsis"
    "textemdash"
    "textendash"
    "textexclamdown"
    "textgreater"
    "textless"
    "textordfeminine"
    "textordmasculine"
    "textparagraph"
    "textperiodcentered"
    "textpertenthousand"
    "textperthousand"
    "textquestiondown"
    "textquotedblleft"
    "textquotedblright"
    "textquoteleft"
    "textquoteright"
    "textregistered"
    "textsection"
    "textsterling"
    "texttrademark"
    "textunderscore"
    "textvisiblespace"
    "copyright"
    "dag"
    "ddag"
    "dots"
    "P"
    "pounds"
    "S"
    "guillemotleft"
    "guilsinglleft"
    "quotedblbase"
    "textquotedbl"
    "guillemotright"
    "guilsinglright"
    "quotesinglbase"
    "texorpdfstring"
    "thempfn"
    "fboxBlock"
    "up"
    "fup")
   (LaTeX-add-environments
    "equation"
    "displaymath"
    "math"
    "trivlist"
    "comment"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("function" LaTeX-env-args ["argument"] 0)
    '("procedure" LaTeX-env-args ["argument"] 0)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("CJK" LaTeX-env-args ["argument"] 2)
    '("colorstrip" LaTeX-env-args ["argument"] 1)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("ditaa" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("docsidebar" LaTeX-env-args ["argument"] 0)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("problemset" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("exercise" LaTeX-env-args ["argument"] 0)
    '("example" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("subexercise" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("printunsrtglossarywrap" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("fullwidth" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("Vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("vsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("Bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("bsmallmatrix" LaTeX-env-args ["argument"] 0)
    '("psmallmatrix" LaTeX-env-args ["argument"] 0)
    '("strip" LaTeX-env-args ["argument"] 0)
    '("system" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("VNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("vNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("BNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("bNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("pNiceMatrix" LaTeX-env-args ["argument"] 0)
    '("NiceMatrix" LaTeX-env-args ["argument"] 0)
    '("NiceArray" LaTeX-env-args ["argument"] 1)
    '("Parallel" LaTeX-env-args ["argument"] 2)
    '("parcolumns" LaTeX-env-args ["argument"] 1)
    '("pdfsidelinecomment" LaTeX-env-args ["argument"] 1)
    '("stabular" LaTeX-env-args ["argument"] 1)
    '("itembox" LaTeX-env-args ["argument"] 1)
    '("screen" LaTeX-env-args ["argument"] 0)
    '("measuredfigure" LaTeX-env-args ["argument"] 0)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("tram" LaTeX-env-args ["argument"] 0)
    '("WithArrows" LaTeX-env-args ["argument"] 0)
    "LWR")
   (LaTeX-add-pagestyles
    "plain")
   (LaTeX-add-counters
    "FootnoteDepth"
    "footnoteReset"
    "FileDepth"
    "SideTOCDepth"
    "lofdepth"
    "lotdepth")
   (LaTeX-add-lengths
    "LWR"
    "HTMLvleftskip"
    "HTMLleftmargini"
    "VerbatimHTMLWidth")
   (LaTeX-add-saveboxes
    "LWR"))
 :latex)

